package intrinsic.mx.rpc.events;

public class WSDLLoadEvent extends intrinsic.mx.rpc.events.XMLLoadEvent {

	/** Accessors */

	/** Variables */
	public intrinsic.mx.rpc.wsdl.WSDL wsdl;
	public intrinsic.XML xml;
	public String location;

	/** Constants */
	public static final String LOAD = "load";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public WSDLLoadEvent() {
}

public WSDLLoadEvent(String arg0) {
}

public WSDLLoadEvent(String arg0, boolean arg1) {
}

public WSDLLoadEvent(String arg0, boolean arg1, boolean arg2) {
}

public WSDLLoadEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.rpc.wsdl.WSDL arg3) {
}

public WSDLLoadEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.rpc.wsdl.WSDL arg3, String arg4) {
}


/** Static Methods */
public static native intrinsic.mx.rpc.events.WSDLLoadEvent createEvent(intrinsic.mx.rpc.wsdl.WSDL arg0);
public static native intrinsic.mx.rpc.events.WSDLLoadEvent createEvent(intrinsic.mx.rpc.wsdl.WSDL arg0, String arg1);

/** Methods */
public native String toString();
public native Object clone();

}
